1. Herzlich willkommen bei WPDE.org, dem grössten und ältesten deutschsprachigen Community-Forum rund um das Thema WordPress. Du musst angemeldet oder registriert sein, um Beiträge verfassen zu können.
    Information ausblenden

WP <5.0 Das erforderliche Modul gd ist nicht installiert oder wurde deaktiviert.

Dieses Thema im Forum "Installation" wurde erstellt von Tanja74, 5. Februar 2021.

  1. Tanja74

    Tanja74 Member

    Registriert seit:
    14. März 2020
    Beiträge:
    13
    Zustimmungen:
    0
    Hallo zusammen,

    nach einer Neuinstallation von xampp kann ich in der Mediathek keine Bilder mehr bearbeiten. Ich erhalte die Meldung:
    Die Bildrotation wird von deinem Webhost nicht unterstützt.

    Bei der Überprüfung des Website-Zustandes erhalte ich die Meldungen:
    • Das optionale Modul imagick ist nicht installiert oder wurde deaktiviert.
    • Fehler Das erforderliche Modul gd ist nicht installiert oder wurde deaktiviert.
    Ich vermute das hängt zusammen aber sicher bin ich mir nicht. Ich habe schon versucht die Problematik zu googeln aber werde nicht so richtig fündig. Folgendes habe ich gefunden:

    "Programme wie XAMPP sollten alle entsprechenden Bibliotheken mitbringen. Hast Du dort nochmal nachgeschaut? Ist etwas schiefgelaufen bei der Konfiguration? Prüfe dort die Einstellungen."

    Leider weiß ich nicht wie ich die Einstellungen bei xampp überprüfen soll und worauf ich zu achten habe.

    Liebe Grüße Tanja
     
  2. Henk1060

    Henk1060 Well-Known Member

    Registriert seit:
    4. September 2014
    Beiträge:
    3.343
    Zustimmungen:
    238
  3. Tanja74

    Tanja74 Member

    Registriert seit:
    14. März 2020
    Beiträge:
    13
    Zustimmungen:
    0
    Hallo Henk,
    erstmal vielen Dank für den Link. Goo... hab ich gefragt. Hab ich ja auch oben geschrieben.

    Da ich absoluter Neuling bin war mir noch nicht mal klar wonach ich genau suchen soll. Hab ja geschrieben das ich nicht so richtig fündig geworden bin. Auch war ich mir nicht sicher ob die Beschreibung meines Problems mit diesem Modul zusammen hängt.

    Der Link erklärt mir leider immer noch nicht ob das Problem mit dem beiden Modulen (gd und imagick) etwas zu tun hat und wie ich die Einstellungen bei xampp überprüfen kann.

    Ich werde versuchen das Modul nach der Beschreibung im Link zu installieren. Ich scheitere jedoch schon daran wie ich an die benötigten Informationen meiner PHP Verteilung komme da ich mit dem Begriff "leeres SKript" nichts anfangen kann.

    Für weitere Hilfe wäre ich irklich sehr dankbar.

    Liebe Grüße Tanja
     
  4. r23

    r23 Well-Known Member

    Registriert seit:
    9. Dezember 2006
    Beiträge:
    5.294
    Zustimmungen:
    174
    Hallo Tanja,

    wenn Xampp auf deinem System läuft und gestartet ist

    kannst du die PHP Konfiguration mit
    http://localhost/dashboard/phpinfo.php

    das ist die in dem verlinkten Beitrag die phpinfo()

    wenn die GD-LIB aktiv ist kannst du diese dort sehen. Wenn nicht einfach die PHP.ini bearbeiten.

    Wo die PHP.ini ist kannst du in der phpinfo() (erster Link) nachlsen unter

    Loaded Configuration File

    in der Regel oder oft unter
    Loaded Configuration File C:\xampp\php\php.ini

    die PHP.ini kannst du mit dem Editor Notepad++ https://notepad-plus-plus.org/downloads/ bearbeiten.

    die PHP.ini ist ca. 2000 Zeilen lang.

    und beginnt mit
    Code:
    Entschuldige, aber du musst dich registrieren oder anmelden um den Inhalt sehen zu können!

    Mit Notepad++ suchst du in der geöffneten php.ini Datei über Suchen =>suchen nach

    extension=gd


    durch löschen von ; vor extension=gd

    aus
    ;extension=gd
    wird
    extension=gd

    ist das Modul gd-lib aktiv.

    Die PHP.ini Datei nun speichern und Apache in der Xampp konsohle beenden und neu starten.

    Danach
    http://localhost/dashboard/phpinfo.php
    prüfen ob die gd - lib dir angezigt wird.

    WordPress funktioniert ohne die Erweiterung imagick.

    Imagick funktioniert in WordPress leider nur als PHP Modul und nicht als eigenständige Anwendung kann entsprechend weniger.

    Das Modul gibt es nur für PHP 7.4 und älter. für PHP 8.01 gibt es noch kein Modul

    https://pecl.php.net/package/imagick/3.4.4/windows

    wenn du Imagick verwendem möchtest musst du von xampp eine PHP 7.x Version installieren und die passende Dll downloaden und installieren.
     
    Tanja74 und SEpp55 gefällt das.
  5. Tanja74

    Tanja74 Member

    Registriert seit:
    14. März 2020
    Beiträge:
    13
    Zustimmungen:
    0
    Hallo r23

    Vielen lieben Dank und sorry für die späte Antwort. Leider ging es bei uns gesundheitlich etwas drunter und drüber sodass ich mich leider erst jetzt darum kümmern konnte. Du hast mir wirklich sehr weiter geholfen :)

    Die gd - lib wird mir jetzt angezeigt.

    Ich werde mir xampp dann für PHP 7.x neu installieren müssen,da ich 8.0.1 installiert habe und dann wage ich mich mal an die Installation von Imagick.
     
  6. r23

    r23 Well-Known Member

    Registriert seit:
    9. Dezember 2006
    Beiträge:
    5.294
    Zustimmungen:
    174
    aktuelle PHP Version ist per se 8.0.2 https://www.php.net/downloads.php#v8.0.2

    und nach der Changelog
    https://www.php.net/ChangeLog-8.php#8.0.2
    ist ein update eigentlich zwingend erforderlich.

    Da sich Microsoft vom PHP Support zurückzieht
    https://www.golem.de/news/entwicklung-microsoft-beendet-windows-support-fuer-php-2007-149584.html

    würde ich mir einen kleinen Linux Server eben für die Entwicklung einrichten...
     
  1. Diese Seite verwendet Cookies, um Inhalte zu personalisieren, diese deiner Erfahrung anzupassen und dich nach der Registrierung angemeldet zu halten.
    Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies.
    Information ausblenden
  1. Diese Seite verwendet Cookies, um Inhalte zu personalisieren, diese deiner Erfahrung anzupassen und dich nach der Registrierung angemeldet zu halten.
    Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies.
    Information ausblenden